one more for your approval

Discussion in 'AutoCAD' started by caderudite, Aug 7, 2003.

  1. caderudite

    caderudite Guest

    dear people,
    this is a routine to fillet with certain radius for certian bars. At the fillet radius it's showing T (when i try to run). I can't understand that and could you also please tell me at the prompt of picking two lines, could i pick with a cross window and fillet with the radius.
    Thanks in advance

    (defun c:bf ()
      (setq bar (getint "\nEnter Bar Dia...."))
      (if (AND (= bar 6 10 12 16 20))
        (PROGN
          (SETQ FD (* 3 bar))
        )
        (if (AND (= bar 24))
          (PROGN
    (SETQ FD (= 84))
          )
          (if (AND (= bar 28))
    (PROGN
    (SETQ FD (= 98))
    )
    (if (AND (= bar 32))
    (PROGN
    (SETQ FD (= 112))
    )
    (if (AND (= bar 40))
    (PROGN
    (SETQ FD (= 140))
    )
    (command "fillet" "radius" FD pause)
    )
    )
          )
        )
      )
    )
     
    caderudite, Aug 7, 2003
    #1
  2. caderudite

    caderudite Guest

    cheers mmo,
    I have very little knowledge writing lisp. I read the old programmes and try to write my own lisp and get stuck. But every time i am stuck i learn something new, like now.
     
    caderudite, Aug 7, 2003
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.